As there are no direct method to do this we used a macro to create a configuration then select all other sheet metal parts and suppress them and call this configuration "Sheets Only"
the macro uses the advanced select method and the selection methods must be exported as .XML
macro text is as following:
' ******************************************************************************
'preconditions:
'1-an assembly must be opened.
'2-an advanced selection method must be created and exported to select only the other parts than sheet metal.
'post conditions:
'1-a configuration called "Only Sheets" will be created contains only sheet metal parts
' ******************************************************************************
Option Explicit
Dim swApp As SldWorks.SldWorks
Dim SwAssembly As SldWorks.AssemblyDoc
Dim SwModel As SldWorks.ModelDoc2
Dim SwModelExt As SldWorks.ModelDocExtension
Dim Part As SldWorks.PartDoc
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Dim IntValue As Integer
Sub main()
Set swApp = Application.SldWorks
Set SwAssembly = swApp.ActiveDoc
SwAssembly.AddConfiguration2 "Sheets Only", "", "", True, False, False, True, 256
Dim ASC As AdvancedSelectionCriteria
Set ASC = SwAssembly.GetAdvancedSelection
IntValue = ASC.GetItem(1, "File Type", 8192 , "SheetMetal Part", False)
ASC.Select
Set SwModel = SwAssembly.GetEditTarget
SwModel.EditSuppress2
SwModel.ShowConfiguration2 "Default"
End Sub